Error on Activating Advanced Theme Switcher

Warning: array_key_exists() expects parameter 2 to be array, boolean given in C:\xampp\htdocs\testing\wp-content\plugins\advanced-theme-switcher\advanced-theme-switcher.php on line 106

The plugin generated 222 characters of unexpected output during activation. If you notice “headers already sent” messages, problems with syndication feeds or other issues, try deactivating or removing this plugin.

This is a vanilla WP 3.1.2 installation (single site.) The theme is a skin of TwentyTen.
I deactivated all other plugins before activation Advanced Theme Switcher
There were 13 inactive plugins.
I moved the inactive plugins and the error did not go away.

...

Added - The error persisted when I upgraded from WP 3.1.2 to 3.1.3